Package com.smartgwt.logicalstructure.widgets.tile

# Class TileGridLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.tile.TileLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.tile.TileGridLogicalStructure

Direct Known Subclasses:
  `TilePaletteLogicalStructure`

public class TileGridLogicalStructure extends TileLayoutLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `animateTileChange`
  `String`
  `canAcceptDroppedRecords`
  `String`
  `canDragTilesOut`
  `String`
  `canReorderTiles`
  `String`
  `dataArity`
  `String`
  `dataFetchMode`
  `String`
  `dragRecategorize`
  `String`
  `drawAllMaxTiles`
  `String`
  `editProxyConstructor`
  `String`
  `emptyMessage`
  `String`
  `emptyMessageStyle`
  `String`
  `loadingDataMessage`
  `String`
  `loadingDataMessageStyle`
  `String`
  `loadingMessage`
  `String`
  `printTilesPerLine`
  `String`
  `recycleTiles`
  `String`
  `reselectOnUpdate`
  `String`
  `reselectOnUpdateNotifications`
  `String`
  `selectionType`
  `String`
  `showAllRecords`
  `String`
  `showDetailFields`
  `String`
  `showDropOverRollOver`
  `String`
  `showEmptyMessage`
  `String`
  `styleName`
  `String`
  `tileConstructor`
  `String`
  `tileDragAppearance`
  `Canvas[]`
  `tiles`
  `String`
  `tileScreen`
  `String`
  `tileValueAlign`
  `String`
  `tileValueStyle`
  `String`
  `valuesShowDown`
  `String`
  `valuesShowRollOver`
  `String`
  `valuesShowSelected`
  `String`
  `wrapValues`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.tile.TileLayoutLogicalStructure

  `autoWrapLines, dragDataAction, dragLineStyle, dragLineThickness, expandMargins, layoutMargin, layoutPolicy, minFlowTileSize, orientation, overflow, paddingAsLayoutMargin, showDragLine, tileFlowPolicy, tileHeight, tileHMargin, tileMargin, tileSize, tilesPerLine, tileVMargin, tileWidth`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TileGridLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### animateTileChange

    public String animateTileChange

  - ### canAcceptDroppedRecords

    public String canAcceptDroppedRecords

  - ### canDragTilesOut

    public String canDragTilesOut

  - ### canReorderTiles

    public String canReorderTiles

  - ### dataArity

    public String dataArity

  - ### dataFetchMode

    public String dataFetchMode

  - ### dragRecategorize

    public String dragRecategorize

  - ### drawAllMaxTiles

    public String drawAllMaxTiles

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### emptyMessage

    public String emptyMessage

  - ### emptyMessageStyle

    public String emptyMessageStyle

  - ### loadingDataMessage

    public String loadingDataMessage

  - ### loadingDataMessageStyle

    public String loadingDataMessageStyle

  - ### loadingMessage

    public String loadingMessage

  - ### printTilesPerLine

    public String printTilesPerLine

  - ### recycleTiles

    public String recycleTiles

  - ### reselectOnUpdate

    public String reselectOnUpdate

  - ### reselectOnUpdateNotifications

    public String reselectOnUpdateNotifications

  - ### selectionType

    public String selectionType

  - ### showAllRecords

    public String showAllRecords

  - ### showDetailFields

    public String showDetailFields

  - ### showDropOverRollOver

    public String showDropOverRollOver

  - ### showEmptyMessage

    public String showEmptyMessage

  - ### styleName

    public String styleName

  - ### tileConstructor

    public String tileConstructor

  - ### tileDragAppearance

    public String tileDragAppearance

  - ### tiles

    public Canvas[] tiles

  - ### tileScreen

    public String tileScreen

  - ### tileValueAlign

    public String tileValueAlign

  - ### tileValueStyle

    public String tileValueStyle

  - ### valuesShowDown

    public String valuesShowDown

  - ### valuesShowRollOver

    public String valuesShowRollOver

  - ### valuesShowSelected

    public String valuesShowSelected

  - ### wrapValues

    public String wrapValues

- ## Constructor Details

  - ### TileGridLogicalStructure

    public TileGridLogicalStructure()